Loading...
Searching...
No Matches
itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage > Class Template Reference

`#include <itkMultiResolutionImageRegistrationMethodWithFeatures.h>`

## Detailed Description

template<typename TFixedImage, typename TMovingImage>
class itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >

Class for multi-resolution image registration methods.

This class is an extension of the itk class MultiResolutionImageRegistrationMethod. It allows the use of multiple metrics, which are summed, multiple images, multiple interpolators, and/or multiple image pyramids.

Make sure the following is true:
nrofmetrics >= nrofinterpolators >= nrofmovingpyramids >= nrofmovingimages
nrofmetrics >= nroffixedpyramids >= nroffixedimages
nroffixedregions == nroffixedimages
nrofinterpolators == nrofmetrics OR nrofinterpolators == 1
nroffixedimages == nrofmetrics OR nroffixedimages == 1
etc...

You may also set an interpolator/fixedimage/etc to NULL, if you happen to know that the corresponding metric is not an ImageToImageMetric, but a regularizer for example (which does not need an image.

See also
  ImageRegistrationMethod
  MultiResolutionImageRegistrationMethod

Definition at line 55 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

Inheritance diagram for itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer
using | FixedImageConstPointer
using | FixedImagePyramidPointer
using | FixedImagePyramidType
using | FixedImageRegionPyramidType
using | FixedImageRegionType
using | FixedImageType
using | InterpolatorPointer
using | InterpolatorType
using | MetricPointer
using | MetricType
using | MovingImageConstPointer
using | MovingImagePyramidPointer
using | MovingImagePyramidType
using | MovingImageType
using | OptimizerPointer = typename OptimizerType::Pointer
using | OptimizerType
using | ParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionImageRegistrationMethodWithFeatures
using | Superclass = MultiInputMultiResolutionImageRegistrationMethodBase<TFixedImage, TMovingImage>
using | TransformOutputConstPointer
using | TransformOutputPointer
using | TransformOutputType
using | TransformPointer
using | TransformType
Public Types inherited from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >
using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer
using | FixedImageConstPointer
using | FixedImageInterpolatorType = typename MultiInputMetricType ::FixedImageInterpolatorType
using | FixedImageInterpolatorVectorType = typename MultiInputMetricType ::FixedImageInterpolatorVectorType
using | FixedImagePyramidPointer
using | FixedImagePyramidType
using | FixedImagePyramidVectorType = std::vector<FixedImagePyramidPointer>
using | FixedImageRegionPyramidType
using | FixedImageRegionPyramidVectorType = std::vector<FixedImageRegionPyramidType>
using | FixedImageRegionType
using | FixedImageRegionVectorType = typename MultiInputMetricType ::FixedImageRegionVectorType
using | FixedImageType
using | FixedImageVectorType = typename MultiInputMetricType ::FixedImageVectorType
using | InterpolatorPointer
using | InterpolatorType
using | InterpolatorVectorType = typename MultiInputMetricType ::InterpolatorVectorType
using | MetricPointer
using | MetricType
using | MovingImageConstPointer
using | MovingImagePyramidPointer
using | MovingImagePyramidType
using | MovingImagePyramidVectorType = std::vector<MovingImagePyramidPointer>
using | MovingImageType
using | MovingImageVectorType = typename MultiInputMetricType ::MovingImageVectorType
using | MultiInputMetricPointer = typename MultiInputMetricType::Pointer
using | MultiInputMetricType = MultiInputImageToImageMetricBase<FixedImageType, MovingImageType>
using | OptimizerPointer = typename OptimizerType::Pointer
using | OptimizerType
using | ParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiInputMultiResolutionImageRegistrationMethodBase
using | Superclass = MultiResolutionImageRegistrationMethod2<TFixedImage, TMovingImage>
using | TransformOutputConstPointer
using | TransformOutputPointer
using | TransformOutputType
using | TransformPointer
using | TransformType
Public Types inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer = typename DataObject::Pointer
using | FixedImageConstPointer = typename FixedImageType::ConstPointer
using | FixedImagePyramidPointer = typename FixedImagePyramidType::Pointer
using | FixedImagePyramidType = MultiResolutionPyramidImageFilter<FixedImageType, FixedImageType>
using | FixedImageRegionPyramidType = std::vector<FixedImageRegionType>
using | FixedImageRegionType = typename FixedImageType::RegionType
using | FixedImageType = TFixedImage
using | InterpolatorPointer = typename InterpolatorType::Pointer
using | InterpolatorType = typename MetricType::InterpolatorType
using | MetricPointer = typename MetricType::Pointer
using | MetricType = AdvancedImageToImageMetric<FixedImageType, MovingImageType>
using | MovingImageConstPointer = typename MovingImageType::ConstPointer
using | MovingImagePyramidPointer = typename MovingImagePyramidType::Pointer
using | MovingImagePyramidType = MultiResolutionPyramidImageFilter<MovingImageType, MovingImageType>
using | MovingImageType = TMovingImage
using | OptimizerType = SingleValuedNonLinearOptimizer
using | ParametersType = typename MetricType::TransformParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionImageRegistrationMethod2
using | Superclass = ProcessObject
using | TransformOutputConstPointer = typename TransformOutputType::ConstPointer
using | TransformOutputPointer = typename TransformOutputType::Pointer
using | TransformOutputType = DataObjectDecorator<TransformType>
using | TransformPointer = typename TransformType::Pointer
using | TransformType = typename MetricType::AdvancedTransformType

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionImageRegistrationMethodWithFeatures)
Public Member Functions inherited from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >
| elxOverrideSimpleSetMacro (FixedImage, const FixedImageType *)
| elxOverrideSimpleSetMacro (FixedImagePyramid, FixedImagePyramidType *)
| elxOverrideSimpleSetMacro (FixedImageRegion, const FixedImageRegionType)
| elxOverrideSimpleSetMacro (Interpolator, InterpolatorType *)
| elxOverrideSimpleSetMacro (MovingImage, const MovingImageType *)
| elxOverrideSimpleSetMacro (MovingImagePyramid, MovingImagePyramidType *)
const FixedImageType * | GetFixedImage () const override
virtual const FixedImageType * | GetFixedImage (unsigned int pos) const
virtual FixedImageInterpolatorType * | GetFixedImageInterpolator ()
virtual FixedImageInterpolatorType * | GetFixedImageInterpolator (unsigned int pos) const
const FixedImagePyramidType * | GetFixedImagePyramid () const override
FixedImagePyramidType * | GetFixedImagePyramid () override
virtual FixedImagePyramidType * | GetFixedImagePyramid (unsigned int pos) const
const FixedImageRegionType & | GetFixedImageRegion () const override
virtual const FixedImageRegionType & | GetFixedImageRegion (unsigned int pos) const
const InterpolatorType * | GetInterpolator () const override
InterpolatorType * | GetInterpolator () override
virtual InterpolatorType * | GetInterpolator (unsigned int pos) const
const MovingImageType * | GetMovingImage () const override
virtual const MovingImageType * | GetMovingImage (unsigned int pos) const
const MovingImagePyramidType * | GetMovingImagePyramid () const override
MovingImagePyramidType * | GetMovingImagePyramid () override
virtual MovingImagePyramidType * | GetMovingImagePyramid (unsigned int pos) const
ModifiedTimeType | GetMTime () const override
| ITK_DISALLOW_COPY_AND_MOVE (MultiInputMultiResolutionImageRegistrationMethodBase)
| itkGetModifiableObjectMacro (MultiInputMetric, MultiInputMetricType)
| itkGetNumberOfMacro (FixedImage)
| itkGetNumberOfMacro (FixedImageInterpolator)
| itkGetNumberOfMacro (FixedImagePyramid)
| itkGetNumberOfMacro (FixedImageRegion)
| itkGetNumberOfMacro (Interpolator)
| itkGetNumberOfMacro (MovingImage)
| itkGetNumberOfMacro (MovingImagePyramid)
| itkSetNumberOfMacro (FixedImage)
| itkSetNumberOfMacro (FixedImageInterpolator)
| itkSetNumberOfMacro (FixedImagePyramid)
| itkSetNumberOfMacro (FixedImageRegion)
| itkSetNumberOfMacro (Interpolator)
| itkSetNumberOfMacro (MovingImage)
| itkSetNumberOfMacro (MovingImagePyramid)
| itkSimpleSetMacro (FixedImageInterpolator, FixedImageInterpolatorType *)
virtual void | SetFixedImage (const FixedImageType *_arg, unsigned int pos)
virtual void | SetFixedImageInterpolator (FixedImageInterpolatorType *_arg, unsigned int pos)
virtual void | SetFixedImagePyramid (FixedImagePyramidType *_arg, unsigned int pos)
virtual void | SetFixedImageRegion (FixedImageRegionType _arg, unsigned int pos)
virtual void | SetInterpolator (InterpolatorType *_arg, unsigned int pos)
void | SetMetric (MetricType *_arg) override
virtual void | SetMovingImage (const MovingImageType *_arg, unsigned int pos)
virtual void | SetMovingImagePyramid (MovingImagePyramidType *_arg, unsigned int pos)
Public Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
virtual unsigned long | GetCurrentLevel () const
virtual const FixedImageType * | GetFixedImage ()
virtual const FixedImageRegionType & | GetFixedImageRegion ()
virtual const ParametersType & | GetInitialTransformParameters ()
virtual const ParametersType & | GetInitialTransformParametersOfNextLevel ()
virtual const ParametersType & | GetLastTransformParameters ()
virtual const MovingImageType * | GetMovingImage ()
ModifiedTimeType | GetMTime () const override
virtual unsigned long | GetNumberOfLevels () const
const TransformOutputType * | GetOutput () const
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionImageRegistrationMethod2)
| itkGetModifiableObjectMacro (FixedImagePyramid, FixedImagePyramidType)
| itkGetModifiableObjectMacro (Interpolator, InterpolatorType)
| itkGetModifiableObjectMacro (Metric, MetricType)
| itkGetModifiableObjectMacro (MovingImagePyramid, MovingImagePyramidType)
| itkGetModifiableObjectMacro (Optimizer, OptimizerType)
| itkGetModifiableObjectMacro (Transform, TransformType)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override
virtual void | SetFixedImage (const FixedImageType *_arg)
virtual void | SetFixedImagePyramid (FixedImagePyramidType *_arg)
virtual void | SetFixedImageRegion (FixedImageRegionType _arg)
virtual void | SetInitialTransformParameters (ParametersType _arg)
virtual void | SetInitialTransformParametersOfNextLevel (ParametersType _arg)
virtual void | SetInterpolator (InterpolatorType *_arg)
virtual void | SetMovingImage (const MovingImageType *_arg)
virtual void | SetMovingImagePyramid (MovingImagePyramidType *_arg)
virtual void | SetNumberOfLevels (unsigned long _arg)
virtual void | SetOptimizer (OptimizerType *_arg)
virtual void | SetTransform (TransformType *_arg)
virtual void | StartRegistration ()
virtual void | StopRegistration ()

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >
static Pointer | New ()
Static Public Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
static Pointer | New ()

## Protected Member Functions

void | CheckPyramids () override
| MultiResolutionImageRegistrationMethodWithFeatures ()=default
| ~MultiResolutionImageRegistrationMethodWithFeatures () override=default
Protected Member Functions inherited from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >
virtual void | CheckOnInitialize ()
void | GenerateData () override
void | Initialize () override
| MultiInputMultiResolutionImageRegistrationMethodBase ()=default
void | PreparePyramids () override
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~MultiInputMultiResolutionImageRegistrationMethodBase () override=default
Protected Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
void | GenerateData () override
| MultiResolutionImageRegistrationMethod2 ()
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | SetCurrentLevel (unsigned long _arg)
| ~MultiResolutionImageRegistrationMethod2 () override=default

## Additional Inherited Members

Protected Attributes inherited from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >
FixedImageInterpolatorVectorType | m_FixedImageInterpolators {}
FixedImagePyramidVectorType | m_FixedImagePyramids {}
FixedImageRegionPyramidVectorType | m_FixedImageRegionPyramids {}
FixedImageRegionVectorType | m_FixedImageRegions {}
FixedImageVectorType | m_FixedImages {}
InterpolatorVectorType | m_Interpolators {}
MovingImagePyramidVectorType | m_MovingImagePyramids {}
MovingImageVectorType | m_MovingImages {}
FixedImageRegionType | m_NullFixedImageRegion {}
Protected Attributes inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
ParametersType | m_LastTransformParameters {}
bool | m_Stop {}

## Member Typedef Documentation

## ConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 65 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

## DataObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::DataObjectPointer

Smart Pointer type to a DataObject.

Definition at line 117 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageConstPointer

Definition at line 93 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidPointer

Definition at line 108 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidType

Type of the Fixed image multiresolution pyramid.

Definition at line 107 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionPyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionPyramidType

Definition at line 95 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionType

Definition at line 94 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageType

Type of the Fixed image.

Definition at line 92 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorPointer

Definition at line 104 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorType

Type of the Interpolator.

Definition at line 103 of file itkMultiResolutionImageRegistrationMethod2.h.

## MetricPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricPointer

Definition at line 100 of file itkMultiResolutionImageRegistrationMethod2.h.

## MetricType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricType

Type of the metric.

Definition at line 99 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageConstPointer

Definition at line 97 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidPointer

Definition at line 110 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidType

Type of the moving image multiresolution pyramid.

Definition at line 109 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageType

Type of the Moving image.

Definition at line 96 of file itkMultiResolutionImageRegistrationMethod2.h.

## OptimizerPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::OptimizerPointer = typename OptimizerType::Pointer

Definition at line 89 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

## OptimizerType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::OptimizerType

Type of the optimizer.

Definition at line 105 of file itkMultiResolutionImageRegistrationMethod2.h.

## ParametersType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::ParametersType

Type of the Transformation parameters This is the same type used to represent the search space of the optimization algorithm.

Definition at line 116 of file itkMultiResolutionImageRegistrationMethod2.h.

## Pointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 64 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

## Self

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::Self = MultiResolutionImageRegistrationMethodWithFeatures

Standard class typedefs.

Definition at line 62 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

## Superclass

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::Superclass = MultiInputMultiResolutionImageRegistrationMethodBase<TFixedImage, TMovingImage>

Definition at line 63 of file itkMultiResolutionImageRegistrationMethodWithFeatures.h.

## TransformOutputConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputConstPointer

Definition at line 114 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputPointer

Definition at line 113 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputType

Type for the output: Using Decorator pattern for enabling the Transform to be passed in the data pipeline.

Definition at line 112 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformPointer

Definition at line 102 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformType

Type of the Transform .

Definition at line 101 of file itkMultiResolutionImageRegistrationMethod2.h.

## Constructor & Destructor Documentation

## MultiResolutionImageRegistrationMethodWithFeatures()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::MultiResolutionImageRegistrationMethodWithFeatures | ( |  | ) |

protected default

Constructor.

## ~MultiResolutionImageRegistrationMethodWithFeatures()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::~MultiResolutionImageRegistrationMethodWithFeatures | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## CheckPyramids()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::CheckPyramids | ( |  | ) |

override protected virtual

Function called by PreparePyramids, which checks if the user input regarding the image pyramids is ok.

Reimplemented from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >.

## GetClassName()

template<typename TFixedImage, typename TMovingImage>

virtual const char * itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >.

Reimplemented in elastix::MultiResolutionRegistrationWithFeatures< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TFixedImage, typename TMovingImage>

itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage > |  | ) |

## New()

template<typename TFixedImage, typename TMovingImage>

Pointer itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |